﻿using Infragistics.Win.UltraWinTree;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UltraTreeDataBinding
{
    public partial class Form1 : Form
    {
       // private bool IsInit = true;
        private DataSet ds;

        public Form1()
        {
            InitializeComponent();
            
            ultraTree1.ViewStyle = Infragistics.Win.UltraWinTree.ViewStyle.Standard;           
            
            ds = new DataSet();


            DataTable dt = new DataTable();
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("ID", typeof(int));
            dt.Columns.Add("PID", typeof(int));


            dt.Rows.Add("Value 0", 0, 0);
            dt.Rows.Add("Value 1", 1, 0);
            dt.Rows.Add("Value 2", 2, 1);
            dt.Rows.Add("Value 3", 3, 1);
            dt.Rows.Add("Value 4", 4, 2);
            dt.Rows.Add("Value 5", 5, 2);
            dt.Rows.Add("Value 6", 6, 4);
            dt.Rows.Add("Value 7", 7, 4);
            dt.Rows.Add("Value 8", 8, 0);
            dt.Rows.Add("Value 9", 9, 5);
            dt.Rows.Add("Value 10", 10, 7);

            ds.Tables.Add(dt);


            DataRelation dr = new DataRelation("RR", dt.Columns["ID"], dt.Columns["PID"]);
            dr.Nested = true;

            ds.Relations.Add(dr);
            ultraTree1.DataSource = ds.Tables[0];
        }

        private void ultraTree1_InitializeDataNode(object sender, Infragistics.Win.UltraWinTree.InitializeDataNodeEventArgs e)
        {
            
            //UltraTreeNode node = ultraTree1.GetNodeByKey("Value 0");
            //node.Expanded = true;
            //node.Selected = true;
        }

        private void Init(Infragistics.Win.UltraWinTree.InitializeDataNodeEventArgs e)
        {
            //if (e.Node.Cells["PID"].Text == "0" && e.Node.Index != 0) e.Node.Visible = true;
            //else e.Node.Visible = false;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
          //  IsInit = false;

            this.ultraTree1.Override.NodeStyle = NodeStyle.CheckBox;
           
            
        }

        private void button1_Click(object sender, EventArgs e)
        {
            
        }
    }
}
